# Generated from backbone-filtered-collection-1.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name backbone-filtered-collection

Name: rubygem-%{gem_name}
Version: 1.2.1
Release: 1%{?dist}
Summary: Allowing implementation of a chain-of-responsibility pattern in backbone's collection filtering
License: MIT
URL: http://github.com/dlikhten/filtered-collection
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jasmine) < 2.0
BuildArch: noarch

%description
A filtered collection for backbone.js.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/backbone-filtered-collection.gemspec
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.2.1-1
- Initial package
